2008-11-17  Quentin Mathe <qmathe@club-internet.fr>

    * Subprojects/AboutEtoileEntry/AboutEtoileEntry.m: Incremented Etoile 
    version to 0.4.
    * Subprojects/AboutEtoileEntry/Resources/Credits.rtf: Updated to include
    Eric and Truls.
    * Subprojects/AboutEtoileEntry/English.lproj/AboutEtoileEntry.gorm: Extended 
    the copyright to 2008.

2008-11-01  Quentin Mathe <qmathe@club-internet.fr>

	* Controller.m:
	Renamed sessionApp variable to sessionManager in several methods.
	(-_workspaceApp): Renamed _sessionManager and rewritten to eliminate the use 
	of WorkspaceCommKit which is just overkilled here. Specially if we consider 
	that the session manager should always be running and available: no need to 
	launch it.
	* README: Written documentation that describes the session manager protocol
	and the interaction with System.
    * GNUmakefile.preamble: Removed WorkspaceCommKit dependency.

2007-09-21  Quentin Mathe <qmathe@club-internet.fr>

    Fixed ETOILE_CORE_MODULE by removing a trailing space. 'YES ' and not 'YES'
    was the reason behind the failure. MenuServer should now properly installs
	in System domain.
    * GNUmakefile.postamble: Put ETOILE_CORE_MODULE here.
    * GNUmakefile: Removed ETOILE_CORE_MODULE

2007-07-12  Quentin Mathe <qmathe@club-internet.fr>

    * Subprojects/AboutEtoileEntry/AboutEtoileEntry.m: Incremented Etoile 
    version to 0.2.
    * Subprojects/AboutEtoileEntry/Resources/Credits.rtf: Updated to include
    Isaiah, David and Jasper Hauser. Removed Frederico Munoz.

2007-06-13  Quentin Mathe <qmathe@club-internet.fr>

    * MenuBarView.m (-mouseDown:): Fixed system menu initial menu location, now
    computed on menubar window position rather than screen size.

2007-05-24  Quentin Mathe <qmathe@club-internet.fr>

    * GNUmakefile.postamble: Removed DEPENDENCIES variable not needed anymore.
    * GNUmakefile: Added ETOILE_CORE_MODULE (problematic solution).

2007-04-15  Yen-Ju Chen <yjchenx gmail>

    * Support short format and intentionally not document it as feature.

2007-04-14  Quentin Mathe <qmathe@club-internet.fr>

    * Controller.h:
    * Controller.m:
    (-logOut:): Rewritten to take in account bug report #8575 #8556. Also now
    calls -[SCSystem logOut] instead of -logOutAndPowerOff:.
    (-sleep:, -reboot:, -shutDown:): Implemented.
    (-_reportSessionServerError:): New method.
    (-_workspaceApp): Renamed -workspaceApp method.
    Made -applicationDidFinishLaunching: and -windowDidMove: private methods.

2007-04-12  Quentin Mathe <qmathe@club-internet.fr>

    * Controller.h:
    * Controller.m (-[NSApplication menuBarWindowFrame]): New method to be used
    by EtoileWildMenus through DO.

2007-03-27  Quentin Mathe <qmathe@club-internet.fr>

    * Subprojects/AboutEtoileEntry/English.lproj/AboutEtoileEntry.gorm: Added 
    2007 to copyright years. Fixed 'Etoile Project' mention to simply talk of
    of Étoilé with accented characters. Fixed GPL license mention by replacing
    it with Jesse's idea. Improved info area layout to better accommodate long
    hostnames and kernel version (without cutting them off most of time).

2007-03-27  Yen-Ju Chen <yjchenx gmail>

	* Subprojects/AboutEtoileEntry/ETMachineInfo_Linux.m:
	Add my G4 CPU identifier.

2007-03-27  Quentin Mathe <qmathe@club-internet.fr>

    Time to commit an old patch (with minor tweaks) proposed on May 19, 2006. 
    Override David's untested fix introduced on r1563.
    * Subprojects/AboutEtoileEntry/ETMachineInfo.m: Added spacing between value 
    and unit.
    * Subprojects/AboutEtoileEntry/ETMachineInfo_Linux.m: Modified to support 
    PowerPC architecture by parsing specific fields in /proc/cpuinfo. 

2007-03-14  Yen-Ju Chen <yjchenx gmail>

	* Show a calendar if clock is clicked.
          For some reason, actions does not work. Weird.
	* Fix up compilation.

2007-03-06  Quentin Mathe <qmathe@club-internet.fr>

	* Controller.m (-windowDidMove:): Commented out code to reset frame if the
	menu window has moved. Temporary solution to make possible the use of 
	MenuServer in GNOME or KDE context (useful for debugging).

2007-03-04  Yen-Ju Chen <yjchenx gmail>

    * Do not compile subproject "Hardware" and "LookAndBehavior"
      since they are not usable.
    * Use unicode to make sure the acute is right.

2007-02-11  Quentin Mathe <qmathe@club-internet.fr>

    * Controller.h
    * Controller.m
    (-sleep:, -shutDown:, -reboot:): New placeholder action methods to be 
    filled later.
    * MenuBarView.m
    (-loadSystemBarEntries): Updated method to handle the special case of 
    adding nil menu items. This corrects the double separator item issue 
    reported by Nicolas.
    (-initWithFrame:): Modified to add new menu entries sleep, reboot and shut
    down.

2007-02-08  Quentin Mathe <qmathe@club-internet.fr>

    * BundleExtensionLoader.m: Fixed NSearchPathDomainMask use, now properly 
    matching latest gnustep implementation (visible in NSPathUtilities.h 
    r24203). -determineDomainsMaskWithDefaultsKey: should behave well now.

2007-02-08  Quentin Mathe <qmathe@club-internet.fr>

    * BundleExtensionLoader.h: Shifted left MainBundleDomainMask value (was 
    overlapping NSSystemDomainMask). As a side effect, it seems to correct 
    sybarentry bundles not loading at all. In fact, that's the issue I try to 
    fix. 

2006-12-09  Saso Kiselkov <skiselkov@gmail.com>

    * Subprojects/ApplicationsEntry/ApplicationsEntry.h:
    * Subprojects/ApplicationsEntry/ApplicationsEntry.m:
    * Subprojects/ApplicationsEntry/GNUmakefile:
    * Subprojects/ApplicationsEntry/GNUmakefile.preamble:
    * Subprojects/ApplicationsEntry/ApplicationsEntry.pmproj: Implemented
      fixes to make application tracking work again.
    * Subprojects/AboutEtoileEntry/ETMachineInfo.m: Added CPU name formatting
      rules to strip unneeded whitespace.

2006-12-04  Saso Kiselkov <skiselkov@gmail.com>

    * GNUmakefile.postamble: Added forgotten ".app" suffix in last post-build
      rule.

2006-10-19  Quentin Mathe <qmathe@club-internet.fr>

    * GNUmakefile.postamble: Modified to take in account .debug and .profile
    application extensions are not used anymore by gnustep-make.
    * GNUmakefile.preamble: Modified to link WorkspaceCommKit.
    * Controller.h:
    * Controller.m:
    Turned on 'log out' by implementing new method -workspaceApp returning an
    instance of SCSystem server class part etoile_system daemon. This code 
    relies on WorkspaceCommKit a private framework part of System.

2006-09-10  Quentin Mathe <qmathe@club-internet.fr>

    * GNUmakefile.postamble: Added include etoile.make and declared 
    variable DEPENDENCIES to fix the Etoile repository build. The build was
    broken by passing 'x11=yes' without importing XWindowServerKit 
    dependency (library and headers).

2006-09-06  Quentin Mathe <qmathe@club-internet.fr>

    * Subprojects/HardwareEntry:
    * Subprojects/LookAndBehaviorEntry:
    Added new system bar entries, they allow to launch preferences related
    applications.
    * Subprojects/SystemPreferencesEntry/SystemPreferencesEntry.m:
    Made the entry invisible in the menu by default, unless the user requests
    it by setting GSSystemPreferencesApplication.

    * GNUmakefile:
    * EtoileMenuServer.pmproj: Modified to include the new subprojects.
    * GNUmakefile.preamble: Turned on XWindowServerKit use by default, this
    eliminates window position issues with Azalea. It's still possible to build
    EtoileMenuServer without X11 dependency by passing the flag 'x11=no'.

2006-07-21  Saso Kiselkov <skiselkov@gmail.com>

    * main.m: Updated default name GSDontShowAppIcon to GSSuppressAppIcon.

2006-06-06  Saso Kiselkov <skiselkov@gmail.com>

    * Subprojects/AboutEtoileEntry/GNUmakefile:
    * Subprojects/AboutEtoileEntry/ETMachineInfo_Solaris.m: Added
    forgotten Solaris OS-specific files.
    * GNUmakefile.postamble: Added special .svn directory removal 
    code for Solaris' find(1) and xargs(1) which don't understand
    -print0 and -0.

2006-06-06 Quentin Mathe <qmathe@club-internet.fr>

    * MenuletLoader.m: Added logging statements to aid solving menulet loading
    issues. Included code trying to call -test method on menulets.
    * Subprojects/AboutEtoileEntry/GNUmakefile: Worked around missing 
    ETMachineInfo_Solaris.m file by commenting it out.

2006-06-04  Saso Kiselkov <skiselkov@gmail.com>

    * Subprojects/AboutEtoileEntry/GNUmakefile:
    * Subprojects/AboutEtoileEntry/GNUmakefile.preamble:
    * Subprojects/AboutEtoileEntry/ETMachineInfo_Solaris.m: Integrated
    changes from Chris B. Vetter to incorporate Solaris OS support for
    machine detection.
    * Subprojects/AboutEtoileEntry/AboutEtoileEntry.pmproj: Added link
    from the "Non-Project Files" project category the top-level ChangeLog
    of the EtoileMenuServer project.

    * Subprojects/ApplicationsEntry/ApplicationsEntry.pmproj:
    * Subprojects/ClockMenulet/ClockMenulet.pmproj:
    * Subprojects/SystemPreferencesEntry/SystemPreferencesEntry.pmproj:
    * EtoileMenuServer.pmproj: Added link from the "Non-Project Files" category
    to the top level ChangeLog.

    * GNUmakefile:
    * GNUmakefile.preamble: Moved XWindowServerKit detection code to
    preamble makefile, instead of the master makefile, which is
    maintained by ProjectManager and regenerated automatically from
    the project file.

    * Subprojects/AboutEtoileEntry/ETMachineInfo.m: Made CPU speeds
    rounded to MHz.
    * Subprojects/AboutEtoileEntry/ETMachineInfo.m: Changed CPU speed
    reading algorithm to first round the value to the nearest MHz value
    before returning it.

    * Subprojects/AboutEtoileEntry/ScrollingImageView.m: Fixed bug causing
    leftover drawing below the credits text area.

2006-05-29  Saso Kiselkov <skiselkov@gmail.com>

    * Controller.m: Fixed CPU consumption issue when moving
    the server window around. Also reformatted a line of code
    to not exceed 80 characters in width.

2006-05-26  Yen-Ju Chen <yjchenx at gmail>

    * Controller.m: Use ALL_DESKTOP instead 0xFFFFFFFF.
    * GNUmakefile: Use CPPFLAGS for -I.

2006-05-26  Saso Kiselkov <skiselkov@gmail.com>

    * main.m: Added signal catching routines to handle case when
    the app is quit from the keyboard. This makes profiling easier.
    * GNUmakefile.postamble: Added if clause to handle when building
    a profiling version of the app.

2006-05-26  Yen-Ju Chen <yjchenx at gmail>

    * GNUmakefile:
    Fix compilation with x11=yes on FreeBSD.

2006-05-25  Yen-Ju Chen <yjchenx at gmail>

    * GNUmakefile:
    * Controller.m:
    * MenuBarWindow.m:
    Use XWindowServerKit when compiling with 'make x11=yes'.
    It will keep menubar staying in every desktkop.
    * Avoid showing up in taskbar and pager.
    * Reserve the top area to avoid being covered by windows while maximized.

2006-05-21  Saso Kiselkov <skiselkov@gmail.com>

    * MenuletLoader.m:
    Allow loading menulets outside main bundle.

2006-05-16  Saso Kiselkov <skiselkov@gmail.com>

    * Subprojects/AboutEtoileEntry/AboutEtoileEntry.pmproj:
    * Subprojects/AboutEtoileEntry/GNUmakefile:
    * Subprojects/AboutEtoileEntry/GNUmakefile.preamble:
    * Subprojects/AboutEtoileEntry/GNUmakefile.postamble:
    * Subprojects/AboutEtoileEntry/AboutEtoileEntry.m:
    * Subprojects/AboutEtoileEntry/ETMachineInfo.h:
    * Subprojects/AboutEtoileEntry/ETMachineInfo.m:
    * Subprojects/AboutEtoileEntry/ETMachineInfo_Darwin.m:
    * Subprojects/AboutEtoileEntry/ETMachineInfo_FreeBSD.m:
    * Subprojects/AboutEtoileEntry/ETMachineInfo_Linux.m:
    * Subprojects/AboutEtoileEntry/ETMachineInfo_OpenBSD.m:
    * Subprojects/AboutEtoileEntry/TRSysctl.h:
    * Subprojects/AboutEtoileEntry/TRSysctlByName.h: Implemented changes
      to machine-info determining written by David Chisnall.

2006-05-13  Saso Kiselkov <skiselkov@gmail.com>

    * MenuletLoader.m: Fixed a bug, pointed out by Chris B. Vetter, which
      was causing exceptions when a menulet failed to initialize properly.

2006-05-10  Saso Kiselkov <skiselkov@gmail.com>

    * Subprojects/AboutEtoileEntry/ScrollingImageView.m: Fixed
      text view centering issues.

2006-05-10  Saso Kiselkov <skiselkov@gmail.com>

    * Subprojects/AboutEtoileEntry/AboutEtoileEntry.m: Fixed bug
      preventing the CPU frequency to be displayed on FreeBSD.
    * Subprojects/AboutEtoileEntry/ScrollingImageView.m: Implemented
      some experimental slight performance improvements.

2006-05-09  Saso Kiselkov <skiselkov@gmail.com>

    * Subprojects/AboutEtoileEntry/AboutEtoileEntry.m: Stripped
      (R) and (tm) words from displayed CPU model names on Linux.
      Also added patch by Chris B. Vetter to do the same for
      FreeBSD.

2006-05-09  Saso Kiselkov <skiselkov@gmail.com>
    * Subprojects/AboutEtoileEntry/ScrollingImageView.m: Fixed
      incorrect text height computation.

2006-05-09  Saso Kiselkov <skiselkov@gmail.com>
    * Subprojects/AboutEtoileEntry/ScrollingImageView.h:
    * Subprojects/AboutEtoileEntry/ScrollingImageView.m: Fixed
      NSInvocation bugs and added further refinements. Performace
      remains an issue though...

2006-05-09  Saso Kiselkov <skiselkov@gmail.com>

    * Did some initial refinements on the About Etoile window, however
      further significant cleanups, fixes and speed improvements will
      be needed.

2006-05-07  Nicolas Roard <nicolas@roard.com>

    * AboutEtoileEntry/AboutEtoileEntry.m: Applied a patch from Chris Vetter 
    <chris.vetter@gmail.com> to display the missing entries for 
    CPU, CPU Frequency, and memory on FreeBSD

2006-04-17  Quentin Mathe <qmathe@club-internet.fr>

    * GNUmakefile: Modified to have EtoileMenuServer installed in 'System' 
    rather than 'Local'.

2006-03-04  Saso Kiselkov <diablos@manga.sk>

    Update based on 2006-03-04 21:03 version.
    * MenuBarHeight.h:
    * SystemBarEntries/AboutEtoileEntry/AboutEtoileEntry.h:
    * SystemBarEntries/AboutEtoileEntry/AboutEtoileEntry.m:
    * SystemBarEntries/AboutEtoileEntry/GNUmakefile:
    * SystemBarEntries/AboutEtoileEntry/English.lproj/AboutEtoileEntry.gorm:
    * EtoileSystemBarEntry.h:
    Added.
    * MenuBarView.m:
    * GNUmakefile:
    * MenuletLoader.m:
    * Images/EtoileLogoH.tiff:
    * Images/EtoileLogo.tiff:
    * Controller.h:
    * MenuBarView.h:
    * GNUmakefile.postamble:
    * Controller.m:
    Updated.

2006-03-04  Saso Kiselkov <diablos@manga.sk>

    * BundleExtensionLoader.h:
    * BundleExtensionLoader.m:
    * ChangeLog:
    * Controller.h:
    * Controller.m:
    * EtoileMenulet.h:
    * GNUmakefile:
    * GNUmakefile.postamble:
    * GNUmakefile.preamble:
    * Images/EtoileLogoH.tiff:
    * Images/EtoileLogo.tiff:
    * Images/MenuBarFiller.tiff:
    * Images/MenuBarLeftEdge.tiff:
    * Images/MenuBarRightEdge.tiff:
    * main.m:
    * MenuBarView.h:
    * MenuBarView.m:
    * MenuBarWindow.h:
    * MenuBarWindow.m:
    * MenuletLoader.h:
    * MenuletLoader.m:
    * Menulets/ClockMenulet/ClockMenulet.h:
    * Menulets/ClockMenulet/ClockMenulet.m:
    * Menulets/ClockMenulet/GNUmakefile:
    * README:
    Initial import for Etoile MenuServer written by Saso Kiselkov (the other
    part of the menu bar support will be imported in Etoile/Bundles by updating
    WildMenus). 2006-03-03 22:40 version.
